<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Sat May 11 20:28:16 CEST 2019 -->
<title>Board</title>
<meta name="date" content="2019-05-11">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Board";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../app/board/Field.html" title="class in app.board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?app/board/Board.html" target="_top">Frames</a></li>
<li><a href="Board.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">app.board</div>
<h2 title="Class Board" class="title">Class Board</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>app.board.Board</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Board</span>
extends java.lang.Object</pre>
<div class="block">Represents a chess board.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jana Balkovicova, Radek Bednar</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/board/Board.html#COLS_COUNT">COLS_COUNT</a></span></code>
<div class="block">Number of chess board columns.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/board/Board.html#ROWS_COUNT">ROWS_COUNT</a></span></code>
<div class="block">Number of chess board rows.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../app/board/Board.html#Board-java.util.ArrayList-java.util.ArrayList-">Board</a></span>(java.util.ArrayList&lt;<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a>&gt;&nbsp;whitePieces,
     java.util.ArrayList&lt;<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a>&gt;&nbsp;blackPieces)</code>
<div class="block">Creates new board and sets an initial state.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/board/Board.html#findFieldsByPiece-char-boolean-int-char-">findFieldsByPiece</a></span>(char&nbsp;pieceType,
                 boolean&nbsp;pieceColor,
                 int&nbsp;pieceRow,
                 char&nbsp;pieceColumn)</code>
<div class="block">Returns board fields specified by chess pieces.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../app/board/Field.html" title="class in app.board">Field</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/board/Board.html#getField-int-char-">getField</a></span>(int&nbsp;row,
        char&nbsp;column)</code>
<div class="block">Returns board field specified by row number and column character.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../app/board/Field.html" title="class in app.board">Field</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/board/Board.html#getField-int-int-">getField</a></span>(int&nbsp;row,
        int&nbsp;column)</code>
<div class="block">Returns board field specified by row number and column number.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ROWS_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROWS_COUNT</h4>
<pre>public static final&nbsp;byte ROWS_COUNT</pre>
<div class="block">Number of chess board rows.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#app.board.Board.ROWS_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COLS_COUNT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>COLS_COUNT</h4>
<pre>public static final&nbsp;byte COLS_COUNT</pre>
<div class="block">Number of chess board columns.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#app.board.Board.COLS_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Board-java.util.ArrayList-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Board</h4>
<pre>public&nbsp;Board(java.util.ArrayList&lt;<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a>&gt;&nbsp;whitePieces,
             java.util.ArrayList&lt;<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a>&gt;&nbsp;blackPieces)</pre>
<div class="block">Creates new board and sets an initial state.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>whitePieces</code> - array of white pieces to be created</dd>
<dd><code>blackPieces</code> - array of black pieces to be created</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getField-int-char-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getField</h4>
<pre>public&nbsp;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;getField(int&nbsp;row,
                      char&nbsp;column)</pre>
<div class="block">Returns board field specified by row number and column character.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>row</code> - number of field row</dd>
<dd><code>column</code> - character of field column</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>specified board field</dd>
</dl>
</li>
</ul>
<a name="getField-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getField</h4>
<pre>public&nbsp;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;getField(int&nbsp;row,
                      int&nbsp;column)</pre>
<div class="block">Returns board field specified by row number and column number.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>row</code> - number of field row</dd>
<dd><code>column</code> - number of field character</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>specified board field</dd>
</dl>
</li>
</ul>
<a name="findFieldsByPiece-char-boolean-int-char-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>findFieldsByPiece</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&gt;&nbsp;findFieldsByPiece(char&nbsp;pieceType,
                                                    boolean&nbsp;pieceColor,
                                                    int&nbsp;pieceRow,
                                                    char&nbsp;pieceColumn)</pre>
<div class="block">Returns board fields specified by chess pieces.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pieceType</code> - type of desired pieces</dd>
<dd><code>pieceColor</code> - white, if the pieces should be white</dd>
<dd><code>pieceRow</code> - row of desired pieces</dd>
<dd><code>pieceColumn</code> - column of desired pieces</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>array of board fields found</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../app/board/Field.html" title="class in app.board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?app/board/Board.html" target="_top">Frames</a></li>
<li><a href="Board.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
